com.mockobjects.sql

## Class MockSingleRowResultSet

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.sql.MockSingleRowResultSet

All Implemented Interfaces:
  Verifiable, java.lang.AutoCloseable, java.sql.ResultSet, java.sql.Wrapper

    public class MockSingleRowResultSet
    extends MockObject

### Field Summary

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Constructor Summary

Constructors
Constructor and Description
`MockSingleRowResultSet()`

### Method Summary

Methods
`boolean` `absolute(int row)` Calls notImplemented.
`void` `addExpectedIndexedValues(java.lang.Object[] values)` Add expected values from an array to be retrieved by index.
`void` `addExpectedNamedValues(java.util.Map map)` Add expected values from a Map to be retrieved by name or index.
`void` `addExpectedNamedValues(java.lang.String[] names, java.lang.Object[] values)` Add expected values from an array to be retrieved by name or index.
`void` `afterLast()` Calls notImplemented.
`void` `beforeFirst()` Calls notImplemented.
`void` `cancelRowUpdates()` Calls notImplemented.
`void` `clearWarnings()` Calls notImplemented.
`void` `close()`
`void` `deleteRow()` Calls notImplemented.
`int` `findColumn(java.lang.String columnName)` Calls notImplemented.
`boolean` `first()` Calls notImplemented.
`java.sql.Array` `getArray(int i)`
`java.sql.Array` `getArray(java.lang.String colName)`
`java.io.InputStream` `getAsciiStream(int columnIndex)`
`java.io.InputStream` `getAsciiStream(java.lang.String columnName)`
`java.math.BigDecimal` `getBigDecimal(int columnIndex)`
`java.math.BigDecimal` `getBigDecimal(int columnIndex, int scale)`
`java.math.BigDecimal` `getBigDecimal(java.lang.String columnName)`
`java.math.BigDecimal` `getBigDecimal(java.lang.String columnName, int scale)`
`java.io.InputStream` `getBinaryStream(int columnIndex)`
`java.io.InputStream` `getBinaryStream(java.lang.String columnName)`
`java.sql.Blob` `getBlob(int i)`
`java.sql.Blob` `getBlob(java.lang.String colName)`
`boolean` `getBoolean(int columnIndex)`
`boolean` `getBoolean(java.lang.String columnName)`
`byte` `getByte(int columnIndex)`
`byte` `getByte(java.lang.String columnName)`
`byte[]` `getBytes(int columnIndex)`
`byte[]` `getBytes(java.lang.String columnName)`
`java.io.Reader` `getCharacterStream(int columnIndex)`
`java.io.Reader` `getCharacterStream(java.lang.String columnName)`
`java.sql.Clob` `getClob(int i)`
`java.sql.Clob` `getClob(java.lang.String colName)`
`int` `getConcurrency()`
`java.lang.String` `getCursorName()`
`java.sql.Date` `getDate(int columnIndex)`
`java.sql.Date` `getDate(int columnIndex, java.util.Calendar cal)`
`java.sql.Date` `getDate(java.lang.String columnName)`
`java.sql.Date` `getDate(java.lang.String columnName, java.util.Calendar cal)`
`double` `getDouble(int columnIndex)`
`double` `getDouble(java.lang.String columnName)`
`int` `getFetchDirection()` Calls notImplemented.
`int` `getFetchSize()` Calls notImplemented.
`float` `getFloat(int columnIndex)`
`float` `getFloat(java.lang.String columnName)`
`int` `getInt(int columnIndex)`
`int` `getInt(java.lang.String columnName)`
`long` `getLong(int columnIndex)`
`long` `getLong(java.lang.String columnName)`
`java.sql.ResultSetMetaData` `getMetaData()`
`java.lang.Object` `getObject(int columnIndex)` Return value set for given index by an addExpected* method.
`java.lang.Object` `getObject(int i, java.util.Map map)` Calls notImplemented.
`java.lang.Object` `getObject(java.lang.String columnName)` Return value set for given name by an addExpectedNamedValue method.
`java.lang.Object` `getObject(java.lang.String colName, java.util.Map map)` Calls notImplemented.
`java.sql.Ref` `getRef(int i)`
`java.sql.Ref` `getRef(java.lang.String colName)`
`int` `getRow()` Return 1 if next has been called exactly once.
`short` `getShort(int columnIndex)`
`short` `getShort(java.lang.String columnName)`
`java.sql.Statement` `getStatement()`
`java.lang.String` `getString(int columnIndex)`
`java.lang.String` `getString(java.lang.String columnName)`
`java.sql.Time` `getTime(int columnIndex)`
`java.sql.Time` `getTime(int columnIndex, java.util.Calendar cal)`
`java.sql.Time` `getTime(java.lang.String columnName)`
`java.sql.Time` `getTime(java.lang.String columnName, java.util.Calendar cal)`
`java.sql.Timestamp` `getTimestamp(int columnIndex)`
`java.sql.Timestamp` `getTimestamp(int columnIndex, java.util.Calendar cal)`
`java.sql.Timestamp` `getTimestamp(java.lang.String columnName)`
`java.sql.Timestamp` `getTimestamp(java.lang.String columnName, java.util.Calendar cal)`
`int` `getType()` Calls notImplemented.
`java.io.InputStream` `getUnicodeStream(int columnIndex)`
`java.io.InputStream` `getUnicodeStream(java.lang.String columnName)`
`java.sql.SQLWarning` `getWarnings()` Calls notImplemented.
`void` `insertRow()` Calls notImplemented.
`boolean` `isAfterLast()` Calls notImplemented.
`boolean` `isBeforeFirst()` Calls notImplemented.
`boolean` `isFirst()` Calls notImplemented.
`boolean` `isLast()` Calls notImplemented.
`boolean` `last()` Calls notImplemented.
`void` `moveToCurrentRow()` Calls notImplemented.
`void` `moveToInsertRow()` Calls notImplemented.
`boolean` `next()` Return true if this is the first time next is called.
`boolean` `previous()` Calls notImplemented.
`void` `refreshRow()` Calls notImplemented.
`boolean` `relative(int rows)` Calls notImplemented.
`boolean` `rowDeleted()` Calls notImplemented.
`boolean` `rowInserted()` Calls notImplemented.
`boolean` `rowUpdated()` Calls notImplemented.
`void` `setExpectedCloseCalls(int calls)`
`void` `setExpectedNextCalls(int calls)`
`void` `setFetchDirection(int direction)` Calls notImplemented.
`void` `setFetchSize(int rows)` Calls notImplemented.
`void` `setupMetaData(java.sql.ResultSetMetaData metaData)`
`void` `setupStatement(java.sql.Statement statement)`
`void` `updateAsciiStream(int columnIndex, java.io.InputStream x, int length)` Calls notImplemented.
`void` `updateAsciiStream(java.lang.String columnName, java.io.InputStream x, int length)` Calls notImplemented.
`void` `updateBigDecimal(int columnIndex, java.math.BigDecimal x)` Calls notImplemented.
`void` `updateBigDecimal(java.lang.String columnName, java.math.BigDecimal x)` Calls notImplemented.
`void` `updateBinaryStream(int columnIndex, java.io.InputStream x, int length)` Calls notImplemented.
`void` `updateBinaryStream(java.lang.String columnName, java.io.InputStream x, int length)` Calls notImplemented.
`void` `updateBoolean(int columnIndex, boolean x)` Calls notImplemented.
`void` `updateBoolean(java.lang.String columnName, boolean x)` Calls notImplemented.
`void` `updateByte(int columnIndex, byte x)` Calls notImplemented.
`void` `updateByte(java.lang.String columnName, byte x)` Calls notImplemented.
`void` `updateBytes(int columnIndex, byte[] x)` Calls notImplemented.
`void` `updateBytes(java.lang.String columnName, byte[] x)` Calls notImplemented.
`void` `updateCharacterStream(int columnIndex, java.io.Reader x, int length)` Calls notImplemented.
`void` `updateCharacterStream(java.lang.String columnName, java.io.Reader reader, int length)` Calls notImplemented.
`void` `updateDate(int columnIndex, java.sql.Date x)` Calls notImplemented.
`void` `updateDate(java.lang.String columnName, java.sql.Date x)` Calls notImplemented.
`void` `updateDouble(int columnIndex, double x)` Calls notImplemented.
`void` `updateDouble(java.lang.String columnName, double x)` Calls notImplemented.
`void` `updateFloat(int columnIndex, float x)` Calls notImplemented.
`void` `updateFloat(java.lang.String columnName, float x)` Calls notImplemented.
`void` `updateInt(int columnIndex, int x)` Calls notImplemented.
`void` `updateInt(java.lang.String columnName, int x)` Calls notImplemented.
`void` `updateLong(int columnIndex, long x)` Calls notImplemented.
`void` `updateLong(java.lang.String columnName, long x)` Calls notImplemented.
`void` `updateNull(int columnIndex)` Calls notImplemented.
`void` `updateNull(java.lang.String columnName)` Calls notImplemented.
`void` `updateObject(int columnIndex, java.lang.Object x)` Calls notImplemented.
`void` `updateObject(int columnIndex, java.lang.Object x, int scale)` Calls notImplemented.
`void` `updateObject(java.lang.String columnName, java.lang.Object x)` Calls notImplemented.
`void` `updateObject(java.lang.String columnName, java.lang.Object x, int scale)` Calls notImplemented.
`void` `updateRow()` Calls notImplemented.
`void` `updateShort(int columnIndex, short x)` Calls notImplemented.
`void` `updateShort(java.lang.String columnName, short x)` Calls notImplemented.
`void` `updateString(int columnIndex, java.lang.String x)` Calls notImplemented.
`void` `updateString(java.lang.String columnName, java.lang.String x)` Calls notImplemented.
`void` `updateTime(int columnIndex, java.sql.Time x)` Calls notImplemented.
`void` `updateTime(java.lang.String columnName, java.sql.Time x)` Calls notImplemented.
`void` `updateTimestamp(int columnIndex, java.sql.Timestamp x)` Calls notImplemented.
`void` `updateTimestamp(java.lang.String columnName, java.sql.Timestamp x)` Calls notImplemented.
`boolean` `wasNull()` Calls notImplemented.

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`getHoldability, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getRowId, getRowId, getSQLXML, getSQLXML, getURL, getURL, isClosed, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateRef, updateRef, updateRowId, updateRowId, updateSQLXML, updateSQLXML`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Constructor Detail

#### MockSingleRowResultSet

    public MockSingleRowResultSet()

### Method Detail

#### addExpectedIndexedValues

    public void addExpectedIndexedValues(java.lang.Object[] values)

Add expected values from an array to be retrieved by index.

#### addExpectedNamedValues

    public void addExpectedNamedValues(java.lang.String[] names,
                              java.lang.Object[] values)

Add expected values from an array to be retrieved by name or index.

#### addExpectedNamedValues

    public void addExpectedNamedValues(java.util.Map map)

Add expected values from a Map to be retrieved by name or index.

#### next

    public boolean next()
                 throws java.sql.SQLException

Return true if this is the first time next is called.

Specified by:
  `next` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getRow

    public int getRow()
               throws java.sql.SQLException

Return 1 if next has been called exactly once.

Specified by:
  `getRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject(int columnIndex)
                               throws java.sql.SQLException

Return value set for given index by an addExpected* method. Called by superclass to cast values to appropriate type.

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`
See Also:
  `ResultSet.getObject(int)`

#### getObject

    public java.lang.Object getObject(java.lang.String columnName)
                               throws java.sql.SQLException

Return value set for given name by an addExpectedNamedValue method. Called by superclass to cast values to appropriate type.

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`
See Also:
  `ResultSet.getObject(int)`

#### setExpectedCloseCalls

    public void setExpectedCloseCalls(int calls)

#### setExpectedNextCalls

    public void setExpectedNextCalls(int calls)

#### setupMetaData

    public void setupMetaData(java.sql.ResultSetMetaData metaData)

#### setupStatement

    public void setupStatement(java.sql.Statement statement)

#### close

    public void close()
               throws java.sql.SQLException

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getArray

    public java.sql.Array getArray(int i)
                            throws java.sql.SQLException

Specified by:
  `getArray` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getArray

    public java.sql.Array getArray(java.lang.String colName)
                            throws java.sql.SQLException

Specified by:
  `getArray` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getAsciiStream

    public java.io.InputStream getAsciiStream(int columnIndex)
                                       throws java.sql.SQLException

Specified by:
  `getAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getAsciiStream

    public java.io.InputStream getAsciiStream(java.lang.String columnName)
                                       throws java.sql.SQLException

Specified by:
  `getAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String columnName,
                                     int scale)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int columnIndex)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int columnIndex,
                                     int scale)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String columnName)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBinaryStream

    public java.io.InputStream getBinaryStream(int columnIndex)
                                        throws java.sql.SQLException

Specified by:
  `getBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBinaryStream

    public java.io.InputStream getBinaryStream(java.lang.String columnName)
                                        throws java.sql.SQLException

Specified by:
  `getBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBlob

    public java.sql.Blob getBlob(int i)
                          throws java.sql.SQLException

Specified by:
  `getBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBlob

    public java.sql.Blob getBlob(java.lang.String colName)
                          throws java.sql.SQLException

Specified by:
  `getBlob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBoolean

    public boolean getBoolean(int columnIndex)
                       throws java.sql.SQLException

Specified by:
  `getBoolean` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBoolean

    public boolean getBoolean(java.lang.String columnName)
                       throws java.sql.SQLException

Specified by:
  `getBoolean` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getByte

    public byte getByte(int columnIndex)
                 throws java.sql.SQLException

Specified by:
  `getByte` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getByte

    public byte getByte(java.lang.String columnName)
                 throws java.sql.SQLException

Specified by:
  `getByte` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBytes

    public byte[] getBytes(int columnIndex)
                    throws java.sql.SQLException

Specified by:
  `getBytes` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getBytes

    public byte[] getBytes(java.lang.String columnName)
                    throws java.sql.SQLException

Specified by:
  `getBytes` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getCharacterStream

    public java.io.Reader getCharacterStream(int columnIndex)
                                      throws java.sql.SQLException

Specified by:
  `getCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getCharacterStream

    public java.io.Reader getCharacterStream(java.lang.String columnName)
                                      throws java.sql.SQLException

Specified by:
  `getCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getClob

    public java.sql.Clob getClob(int i)
                          throws java.sql.SQLException

Specified by:
  `getClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getClob

    public java.sql.Clob getClob(java.lang.String colName)
                          throws java.sql.SQLException

Specified by:
  `getClob` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(int columnIndex)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(java.lang.String columnName)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(int columnIndex,
                        java.util.Calendar cal)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(java.lang.String columnName,
                        java.util.Calendar cal)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDouble

    public double getDouble(int columnIndex)
                     throws java.sql.SQLException

Specified by:
  `getDouble` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getDouble

    public double getDouble(java.lang.String columnName)
                     throws java.sql.SQLException

Specified by:
  `getDouble` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getFloat

    public float getFloat(int columnIndex)
                   throws java.sql.SQLException

Specified by:
  `getFloat` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getFloat

    public float getFloat(java.lang.String columnName)
                   throws java.sql.SQLException

Specified by:
  `getFloat` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getInt

    public int getInt(int columnIndex)
               throws java.sql.SQLException

Specified by:
  `getInt` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getInt

    public int getInt(java.lang.String columnName)
               throws java.sql.SQLException

Specified by:
  `getInt` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getLong

    public long getLong(int columnIndex)
                 throws java.sql.SQLException

Specified by:
  `getLong` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getLong

    public long getLong(java.lang.String columnName)
                 throws java.sql.SQLException

Specified by:
  `getLong` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws java.sql.SQLException

Specified by:
  `getMetaData` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getRef

    public java.sql.Ref getRef(int i)
                        throws java.sql.SQLException

Specified by:
  `getRef` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getRef

    public java.sql.Ref getRef(java.lang.String colName)
                        throws java.sql.SQLException

Specified by:
  `getRef` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getShort

    public short getShort(java.lang.String columnName)
                   throws java.sql.SQLException

Specified by:
  `getShort` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getShort

    public short getShort(int columnIndex)
                   throws java.sql.SQLException

Specified by:
  `getShort` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getStatement

    public java.sql.Statement getStatement()
                                    throws java.sql.SQLException

Specified by:
  `getStatement` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getString

    public java.lang.String getString(int columnIndex)
                               throws java.sql.SQLException

Specified by:
  `getString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getString

    public java.lang.String getString(java.lang.String columnName)
                               throws java.sql.SQLException

Specified by:
  `getString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime(int columnIndex)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime(java.lang.String columnName)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime(int columnIndex,
                        java.util.Calendar cal)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime(java.lang.String columnName,
                        java.util.Calendar cal)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp(int columnIndex)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String columnName)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp(int columnIndex,
                                  java.util.Calendar cal)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String columnName,
                                  java.util.Calendar cal)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getUnicodeStream

    public java.io.InputStream getUnicodeStream(int columnIndex)
                                         throws java.sql.SQLException

Specified by:
  `getUnicodeStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getUnicodeStream

    public java.io.InputStream getUnicodeStream(java.lang.String columnName)
                                         throws java.sql.SQLException

Specified by:
  `getUnicodeStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getCursorName

    public java.lang.String getCursorName()
                                   throws java.sql.SQLException

Specified by:
  `getCursorName` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getConcurrency

    public int getConcurrency()
                       throws java.sql.SQLException

Specified by:
  `getConcurrency` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getFetchDirection

    public int getFetchDirection()
                          throws java.sql.SQLException

Calls notImplemented. Returns 0.

Specified by:
  `getFetchDirection` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

Calls notImplemented. Returns 0.

Specified by:
  `getFetchSize` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject(int i,
                             java.util.Map map)
                               throws java.sql.SQLException

Calls notImplemented. Returns null.

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject(java.lang.String colName,
                             java.util.Map map)
                               throws java.sql.SQLException

Calls notImplemented. Returns null.

Specified by:
  `getObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getType

    public int getType()
                throws java.sql.SQLException

Calls notImplemented. Returns 0.

Specified by:
  `getType` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

Calls notImplemented. Returns null.

Specified by:
  `getWarnings` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `clearWarnings` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### findColumn

    public int findColumn(java.lang.String columnName)
                   throws java.sql.SQLException

Calls notImplemented. Returns 0.

Specified by:
  `findColumn` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### isBeforeFirst

    public boolean isBeforeFirst()
                          throws java.sql.SQLException

Calls notImplemented. Returns false.

Specified by:
  `isBeforeFirst` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### isAfterLast

    public boolean isAfterLast()
                        throws java.sql.SQLException

Calls notImplemented. Returns false.

Specified by:
  `isAfterLast` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### isFirst

    public boolean isFirst()
                    throws java.sql.SQLException

Calls notImplemented. Returns false.

Specified by:
  `isFirst` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### isLast

    public boolean isLast()
                   throws java.sql.SQLException

Calls notImplemented. Returns false.

Specified by:
  `isLast` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### beforeFirst

    public void beforeFirst()
                     throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `beforeFirst` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### afterLast

    public void afterLast()
                   throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `afterLast` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### first

    public boolean first()
                  throws java.sql.SQLException

Calls notImplemented. Returns false.

Specified by:
  `first` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### last

    public boolean last()
                 throws java.sql.SQLException

Calls notImplemented. Returns false.

Specified by:
  `last` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### absolute

    public boolean absolute(int row)
                     throws java.sql.SQLException

Calls notImplemented. Returns false.

Specified by:
  `absolute` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### relative

    public boolean relative(int rows)
                     throws java.sql.SQLException

Calls notImplemented. Returns false.

Specified by:
  `relative` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### previous

    public boolean previous()
                     throws java.sql.SQLException

Calls notImplemented. Returns false.

Specified by:
  `previous` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### setFetchDirection

    public void setFetchDirection(int direction)
                           throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `setFetchDirection` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### setFetchSize

    public void setFetchSize(int rows)
                      throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `setFetchSize` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### rowUpdated

    public boolean rowUpdated()
                       throws java.sql.SQLException

Calls notImplemented. Returns false.

Specified by:
  `rowUpdated` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### rowInserted

    public boolean rowInserted()
                        throws java.sql.SQLException

Calls notImplemented. Returns false.

Specified by:
  `rowInserted` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### rowDeleted

    public boolean rowDeleted()
                       throws java.sql.SQLException

Calls notImplemented. Returns false.

Specified by:
  `rowDeleted` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNull

    public void updateNull(int columnIndex)
                    throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateNull` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBoolean

    public void updateBoolean(int columnIndex,
                     boolean x)
                       throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateBoolean` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateByte

    public void updateByte(int columnIndex,
                  byte x)
                    throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateByte` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateShort

    public void updateShort(int columnIndex,
                   short x)
                     throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateShort` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateInt

    public void updateInt(int columnIndex,
                 int x)
                   throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateInt` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateLong

    public void updateLong(int columnIndex,
                  long x)
                    throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateLong` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateFloat

    public void updateFloat(int columnIndex,
                   float x)
                     throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateFloat` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateDouble

    public void updateDouble(int columnIndex,
                    double x)
                      throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateDouble` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBigDecimal

    public void updateBigDecimal(int columnIndex,
                        java.math.BigDecimal x)
                          throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateString

    public void updateString(int columnIndex,
                    java.lang.String x)
                      throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBytes

    public void updateBytes(int columnIndex,
                   byte[] x)
                     throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateBytes` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateDate

    public void updateDate(int columnIndex,
                  java.sql.Date x)
                    throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateTime

    public void updateTime(int columnIndex,
                  java.sql.Time x)
                    throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateTimestamp

    public void updateTimestamp(int columnIndex,
                       java.sql.Timestamp x)
                         throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                         java.io.InputStream x,
                         int length)
                           throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                          java.io.InputStream x,
                          int length)
                            throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                             java.io.Reader x,
                             int length)
                               throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject(int columnIndex,
                    java.lang.Object x,
                    int scale)
                      throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject(int columnIndex,
                    java.lang.Object x)
                      throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateNull

    public void updateNull(java.lang.String columnName)
                    throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateNull` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBoolean

    public void updateBoolean(java.lang.String columnName,
                     boolean x)
                       throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateBoolean` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateByte

    public void updateByte(java.lang.String columnName,
                  byte x)
                    throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateByte` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateShort

    public void updateShort(java.lang.String columnName,
                   short x)
                     throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateShort` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateInt

    public void updateInt(java.lang.String columnName,
                 int x)
                   throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateInt` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateLong

    public void updateLong(java.lang.String columnName,
                  long x)
                    throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateLong` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateFloat

    public void updateFloat(java.lang.String columnName,
                   float x)
                     throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateFloat` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateDouble

    public void updateDouble(java.lang.String columnName,
                    double x)
                      throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateDouble` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBigDecimal

    public void updateBigDecimal(java.lang.String columnName,
                        java.math.BigDecimal x)
                          throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateBigDecimal` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateString

    public void updateString(java.lang.String columnName,
                    java.lang.String x)
                      throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateString` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBytes

    public void updateBytes(java.lang.String columnName,
                   byte[] x)
                     throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateBytes` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateDate

    public void updateDate(java.lang.String columnName,
                  java.sql.Date x)
                    throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateDate` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateTime

    public void updateTime(java.lang.String columnName,
                  java.sql.Time x)
                    throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateTime` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateTimestamp

    public void updateTimestamp(java.lang.String columnName,
                       java.sql.Timestamp x)
                         throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateTimestamp` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream(java.lang.String columnName,
                         java.io.InputStream x,
                         int length)
                           throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateAsciiStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream(java.lang.String columnName,
                          java.io.InputStream x,
                          int length)
                            throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateBinaryStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream(java.lang.String columnName,
                             java.io.Reader reader,
                             int length)
                               throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateCharacterStream` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject(java.lang.String columnName,
                    java.lang.Object x,
                    int scale)
                      throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject(java.lang.String columnName,
                    java.lang.Object x)
                      throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateObject` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### insertRow

    public void insertRow()
                   throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `insertRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### updateRow

    public void updateRow()
                   throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `updateRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### deleteRow

    public void deleteRow()
                   throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `deleteRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### refreshRow

    public void refreshRow()
                    throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `refreshRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### cancelRowUpdates

    public void cancelRowUpdates()
                          throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `cancelRowUpdates` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### moveToInsertRow

    public void moveToInsertRow()
                         throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `moveToInsertRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### moveToCurrentRow

    public void moveToCurrentRow()
                          throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `moveToCurrentRow` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### wasNull

    public boolean wasNull()
                    throws java.sql.SQLException

Calls notImplemented.

Specified by:
  `wasNull` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`